Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class EmailNotificationImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.NotificationImpl
          org.jbpm.services.task.impl.model.EmailNotificationImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.EmailNotification, org.kie.internal.task.api.model.Notification

    @Entity
    public class EmailNotificationImpl

extends NotificationImpl
implements org.kie.internal.task.api.model.EmailNotification

See Also:
  Serialized Form

Constructor Summary
`EmailNotificationImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader>` | `getEmailHeaders()`
`org.kie.internal.task.api.model.NotificationType` | `getNotificationType()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setEmailHeaders(Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> emailHeaders)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.services.task.impl.model.NotificationImpl
`getBusinessAdministrators, getDescriptions, getDocumentation, getId, getNames, getPriority, getRecipients, getSubjects, setBusinessAdministrators, setDescriptions, setDocumentation, setId, setNames, setPriority, setRecipients, setSubjects`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.task.api.model.Notification
`getBusinessAdministrators, getDescriptions, getDocumentation, getId, getNames, getPriority, getRecipients, getSubjects, setBusinessAdministrators, setDescriptions, setDocumentation, setId, setNames, setPriority, setRecipients, setSubjects`

Constructor Detail

### EmailNotificationImpl

    public EmailNotificationImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `NotificationImpl`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `NotificationImpl`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getNotificationType

    public org.kie.internal.task.api.model.NotificationType getNotificationType()

  Specified by:
    `getNotificationType` in interface `org.kie.internal.task.api.model.Notification`
  Overrides:
    `getNotificationType` in class `NotificationImpl`

### getEmailHeaders

    public Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> getEmailHeaders()

  Specified by:
    `getEmailHeaders` in interface `org.kie.internal.task.api.model.EmailNotification`

### setEmailHeaders

    public void setEmailHeaders(Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> emailHeaders)

  Specified by:
    `setEmailHeaders` in interface `org.kie.internal.task.api.model.EmailNotification`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NotificationImpl`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `NotificationImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.